cancel
Showing results for 
Search instead for 
Did you mean: 

Magento 1.9 on PHP 7.2 - phpseclib failed to open stream

Highlighted

Magento 1.9 on PHP 7.2 - phpseclib failed to open stream

I have installed the latest Magento version 1.9.4.5 on PHP 7.2.33. At the file /var/log/system.log, I frequently see the below lines:

 

DEBUG (7): include(Phpseclib\Crypt\Base.php): failed to open stream: No such file or directory /lib/Varien/Autoload.php
DEBUG (7): include(Phpseclib\Crypt\Base.php): failed to open stream: No such file or directory /lib/Varien/Autoload.php
DEBUG (7): include(): Failed opening 'Phpseclib\Crypt\Base.php' for inclusion (include_path='/app/code/local:/app/code/community:/app/code/core:/lib:.:/opt/cpanel/ea-php72/root/usr/share/pear')/lib/Varien/Autoload.php

DEBUG (7): include(Phpseclib\Crypt\Blowfish.php): failed to open stream: No such file or directory /lib/Varien/Autoload.php
DEBUG (7): include(Phpseclib\Crypt\Blowfish.php): failed to open stream: No such file or directory /lib/Varien/Autoload.php
DEBUG (7): include(): Failed opening 'Phpseclib\Crypt\Blowfish.php' for inclusion (include_path='/app/code/local:/app/code/community:/app/code/core:/lib:.:/opt/cpanel/ea-php72/root/usr/share/pear')/lib/Varien/Autoload.php

DEBUG (7): include(Phpseclib\Crypt\Random.php): failed to open stream: No such file or directory /lib/Varien/Autoload.php
DEBUG (7): include(Phpseclib\Crypt\Random.php): failed to open stream: No such file or directory /lib/Varien/Autoload.php
DEBUG (7): include(): Failed opening 'Phpseclib\Crypt\Random.php' for inclusion (include_path='/app/code/local:/app/code/community:/app/code/core:/lib:.:/opt/cpanel/ea-php72/root/usr/share/pear')/lib/Varien/Autoload.php

 

I have checked the below files under the Magento root directory and they are all exist:

 

/lib/phpseclib/Crypt/Base.php
/lib/phpseclib/Crypt/Blowfish.php
/lib/phpseclib/Crypt/Random.php 

Is this problem related with PHP 7.2?

1 REPLY 1
Highlighted

Re: Magento 1.9 on PHP 7.2 - phpseclib failed to open stream

Hello @dandrikop,

Check if the included files require these files (/lib/Varien/*) so you are facing this issue.

Problem Solved ? Click on 'Kudos' & Accept as Solution to encourage to write more answers !